Bug 1524546 (CVE-2017-17439) - CVE-2017-17439 heimdal: NULL pointer dereference via crafted UDP packets
Summary: CVE-2017-17439 heimdal: NULL pointer dereference via crafted UDP packets
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-17439
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1524547 1524548
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 16:38 UTC by Andrej Nemec
Modified: 2019-09-29 14:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:33:26 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-12-11 16:38:43 UTC
In Heimdal through 7.4, remote unauthenticated attackers are able to crash the KDC by sending a crafted UDP packet containing empty data fields for client name or realm. The parser would unconditionally dereference NULL pointers in that case, leading to a segmentation fault. This is related to the _kdc_as_rep function in kdc/kerberos5.c and the der_length_visible_string function in lib/asn1/der_length.c.

Upstream issue:

https://github.com/heimdal/heimdal/issues/353

Upstream patch:

https://github.com/heimdal/heimdal/commit/1a6a6e462dc2ac6111f9e02c6852ddec4849b887

References:

http://www.h5l.org/pipermail/heimdal-discuss/2017-August/000259.html

Comment 1 Andrej Nemec 2017-12-11 16:39:08 UTC
Created heimdal tracking bugs for this issue:

Affects: epel-all [bug 1524548]
Affects: fedora-all [bug 1524547]

Comment 2 Product Security DevOps Team 2019-06-08 03:33:26 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.